<!DOCTYPE chapter [
  <!ENTITY current "3.1">
]>
<chapter fileref='tclxslt.xml'>
  <title>TclXSLT</title>
  <subtitle>XSL Transformations For Tcl</subtitle>

  <chapterinfo>
    <revhistory>
      <revision>
	<revnumber>1.11</revnumber>
	<date>2005-11-04</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Release v3.1.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.10</revnumber>
	<date>20040711</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Release v3.0.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.9</revnumber>
	<date>20040226</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Release v3.0b2.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.8</revnumber>
	<date>20031216</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Release v3.0b1.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.7</revnumber>
	<date>20020310</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Release v2.6.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.6</revnumber>
	<date>20021210</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Release v2.5.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.5</revnumber>
	<date>20021111</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Release v2.4.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.4</revnumber>
	<date>20020914</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Updated for v2.3.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.3</revnumber>
	<date>20020812</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Updated for v2.2.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.2</revnumber>
	<date>20020528</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Updated to reflect integration of TclDOM/libxml2.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.1</revnumber>
	<date>20020129</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Added info on current and future developments.</para>
	</revremark>
      </revision>
      <revision>
	<revnumber>1.0</revnumber>
	<date>20011206</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Initial version</para>
	</revremark>
      </revision>
    </revhistory>

    <highlights>
      <formalpara>
	<title>Instant Download:</title>
	<para>TclXSLT v&current; <ulink url="http://prdownloads.sourceforge.net/tclxml/tclxslt-&current;.tar.gz">(tarball)</ulink> <ulink url="http://prdownloads.sourceforge.net/tclxml/tclxslt-&current;.zip">(zip)</ulink></para>
      </formalpara>
    </highlights>
  </chapterinfo>

  <para>The TclXSLT package provides a Tcl wrapper for the <ulink url='http://xmlsoft.org/XSLT/'>Gnome libxslt library</ulink>.  This package allows Tcl scripts to invoke XSL transformations, as well as allowing Tcl to define and implement XSL extension elements and functions.</para>

  <section>
    <title>Download and Installation</title>

    <para>TclXSLT v&current; is the current release.  Download from SourceForge:</para>
    <itemizedlist>
      <listitem>
	<para><ulink url="http://prdownloads.sourceforge.net/tclxml/tclxslt-&current;.tar.gz">Gzip'd tarball</ulink></para>
      </listitem>
      <listitem>
	<para><ulink url="http://prdownloads.sourceforge.net/tclxml/tclxslt-&current;.zip">Zip archive</ulink></para>
      </listitem>
    </itemizedlist>

    <para>To get the latest-and-greatest code, <ulink url="http://sourceforge.net/cvs/?group_id=13178">pull the CVS tree</ulink>.  The module name is "tclxslt".  There are no guarantees that the code is in any particular state (or even working at all).</para>
  </section>

  <section>
    <title>Installation</title>

    <para>Unlike other packages in the TclXML family, there is no pure-Tcl implementation of TclXSLT - the extension must be compiled.  See the <ulink url='tclxslt/&current;/README.html'>README</ulink> file for detailed instructions.</para>
  </section>

  <section>
    <title>Documentation</title>

    <para>Just can't get enough...</para>

    <itemizedlist>
      <listitem>
	<para><ulink url='tclxslt/&current;/tclxslt.html'>Reference Manual</ulink></para>
      </listitem>
      <listitem>
	<para><ulink url='tclxslt/&current;/README.txt'>README</ulink></para>
      </listitem>
      <listitem>
	<para><ulink url='tclxslt/&current;/RELNOTES.txt'>Release notes</ulink></para>
      </listitem>
      <listitem>
	<para><ulink url='tclxslt/&current;/ChangeLog.txt'>Change log</ulink></para>
      </listitem>
    </itemizedlist>
  </section>

  <section>
    <title>Version Numbering</title>
    <subtitle>What Happened to Version 2.0 and 2.1?</subtitle>

    <para>As of version 2.2, TclDOM and TclXSLT version numbering have been synchronised (in a similar fashion to Tcl and Tk).  TclDOM has naturally progressed from v2.1 to v2.2, but TclXSLT jumped from v1.1 to v2.2.  There was never a v1.2, v2.0 nor v2.1 release of TclXSLT.</para>

    <para>With version 2.3 the TclXML package has also been brought into line with this version numbering policy.</para>

    <para>When installing the packages, the same numbered versions must be used.  Using mismatching TclXML, TclDOM or TclXSLT is untested and not guaranteed to work.</para>
  </section>

  <section>
    <title>Contributing</title>

    <para>Contributions of any kind to the project are welcome.</para>

    <section>
      <title>Reporting Bugs</title>

      <para>An important contribution you can make is to test the package and report any bugs.  Use <ulink url="http://sourceforge.net/tracker/?func=add&amp;group_id=13178&amp;atid=113178">SourceForge bug tracking</ulink> to report problems or request features.  Please make sure you set the category to "TclXSLT".</para>
    </section>

    <section>
      <title>Sponsorship</title>

      <para>The TclXSLT package owes its existance to <ulink url='http://www.zveno.com/'>Zveno</ulink>.</para>
    </section>
  </section>

  <section>
    <title>Discussion</title>

    <para>TclXSLT is discussed on the main TclXML mailing lists and on comp.lang.tcl.</para>
  </section>
</chapter>
